Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jp.ac.nagoyau.is.ss.kishii.suntori.message.information
Class AmbulanceTeamInformation

    java.lang.Object
      jp.ac.nagoyau.is.ss.kishii.suntori.message.RCRSCSMessage
          jp.ac.nagoyau.is.ss.kishii.suntori.message.information.WorldInformation
              jp.ac.nagoyau.is.ss.kishii.suntori.message.information.AmbulanceTeamInformation

All Implemented Interfaces:
  IMessage

    public class AmbulanceTeamInformation

extends WorldInformation

This class represent the information of Ambulance Team.

Author:
  takefumi

Field Summary

Fields inherited from class jp.ac.nagoyau.is.ss.kishii.suntori.message.RCRSCSMessage
`COMMON_DATA_TYPE, data, messageType`

Constructor Summary
`AmbulanceTeamInformation(int time, rescuecore2.worldmodel.EntityID atID, int hp, int damage, int buriedness, rescuecore2.worldmodel.EntityID areaID)` Constructor
`AmbulanceTeamInformation(java.util.List<java.lang.Integer> bitList, int offset, java.util.EnumMap<DataType,java.lang.Integer> bitSizeMap)` Constructor

Method Summary
`rescuecore2.worldmodel.EntityID` | `getAmbulanceTeamID()` Return EntityID of at.
`int` | `getBuriedness()` Return buriedness of the at.
`int` | `getDamage()` Return damage of the at.
`rescuecore2.worldmodel.EntityID` | `getEntityID()`
`int` | `getHP()` Return hp of the at.
`rescuecore2.worldmodel.EntityID` | `getPositionID()` Return EntityID of area that the at is standing.

Methods inherited from class jp.ac.nagoyau.is.ss.kishii.suntori.message.RCRSCSMessage
`equals, getBrokenness, getBuriedness, getCoodinate, getDamage, getData, getData, getDataTypeArray, getEntityIDList, getFieryness, getHP, getID, getMessageBitSize, getMessageType, getRepairCost, getSendTime, getSendTime, getWater, getWaterPower, hashCode, isSendable, setCoorinate, setData, setData`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AmbulanceTeamInformation

    public AmbulanceTeamInformation(int time,
                                    rescuecore2.worldmodel.EntityID atID,
                                    int hp,
                                    int damage,
                                    int buriedness,
                                    rescuecore2.worldmodel.EntityID areaID)

  ## Constructor

  Create the Ambulance Team Information.
  Included data are follow.
  - time:the time that the message is created.(int)
  - atID:EntityID of Ambulance Team Agent.
  - hp:HP of the at.
  - damage: Damage of the at.
  - buriedness:buriedness of at.
  - areaID:EntityID of area that the at is standing.

  Parameters:
    `time` - step num.
    `atID` - EntityID of at.
    `hp` - hp of the at.
    `damage` - damage of the at.
    `buriedness` - buriedness of the at.
    `areaID` - EntityID of area that the at is standing.

### AmbulanceTeamInformation

    public AmbulanceTeamInformation(java.util.List<java.lang.Integer> bitList,
                                    int offset,
                                    java.util.EnumMap<DataType,java.lang.Integer> bitSizeMap)

  ## Constructor

  Create the instance of this class from bit sequence.
  This method is defined for this library.

  Parameters:
    `bitList` -
    `offset` -
    `bitSizeMap` -

Method Detail

### getAmbulanceTeamID

    public rescuecore2.worldmodel.EntityID getAmbulanceTeamID()

  Return EntityID of at.

  Returns:
    EntityID of at.

### getHP

    public int getHP()

  Return hp of the at.

  Returns:
    hp

### getDamage

    public int getDamage()

  Return damage of the at.

  Returns:
    damage

### getBuriedness

    public int getBuriedness()

  Return buriedness of the at.

  Returns:
    buriedness

### getPositionID

    public rescuecore2.worldmodel.EntityID getPositionID()

  Return EntityID of area that the at is standing.

  Returns:
    EntityID of area

### getEntityID

    public rescuecore2.worldmodel.EntityID getEntityID()

  Specified by:
    `getEntityID` in class `WorldInformation`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD